Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.resource.sg.impl
Class SimpleMembershipContentRule

    java.lang.Object
      org.apache.muse.ws.resource.sg.impl.SimpleMembershipContentRule

All Implemented Interfaces:
  MembershipContentRule, XmlSerializable

public class SimpleMembershipContentRule
extends java.lang.Object
implements MembershipContentRule

Author:
  Dan Jemiolo (danj)

Constructor Summary
`SimpleMembershipContentRule()`
`SimpleMembershipContentRule(org.w3c.dom.Element xml)`

Method Summary
`QName[]` | `getContentElements()`
`QName` | `getMemberInterface()`
`EndpointReference` | `getServiceGroupEPR()`
`boolean` | `isMatch(EndpointReference epr)`
`void` | `setContentElements(QName[] content)`
`void` | `setMemberInterface(QName portType)`
`void` | `setServiceGroupEPR(EndpointReference serviceGroupEPR)`
`org.w3c.dom.Element` | `toXML()` Converts this object into an XML representation, as defined by its related schema or specification.
`org.w3c.dom.Element` | `toXML(org.w3c.dom.Document factory)` Converts this object into an XML representation, as defined by its related schema or specification.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleMembershipContentRule

    public SimpleMembershipContentRule()

### SimpleMembershipContentRule

    public SimpleMembershipContentRule(org.w3c.dom.Element xml)

Method Detail

### getContentElements

    public QName[] getContentElements()

  Specified by:
    `getContentElements` in interface `MembershipContentRule`

### getMemberInterface

    public QName getMemberInterface()

  Specified by:
    `getMemberInterface` in interface `MembershipContentRule`

### getServiceGroupEPR

    public EndpointReference getServiceGroupEPR()

  Specified by:
    `getServiceGroupEPR` in interface `MembershipContentRule`

### isMatch

    public boolean isMatch(EndpointReference epr)

  Specified by:
    `isMatch` in interface `MembershipContentRule`
  Parameters:
    `epr` - The EPR for the resource against which this membership content rule will be evaluated.
  Returns:
    True if the given resource's WS-RP document matches the rules in the MCR.

### setContentElements

    public void setContentElements(QName[] content)

  Specified by:
    `setContentElements` in interface `MembershipContentRule`

### setMemberInterface

    public void setMemberInterface(QName portType)

  Specified by:
    `setMemberInterface` in interface `MembershipContentRule`

### setServiceGroupEPR

    public void setServiceGroupEPR(EndpointReference serviceGroupEPR)

  Specified by:
    `setServiceGroupEPR` in interface `MembershipContentRule`

### toXML

    public org.w3c.dom.Element toXML()

  Description copied from interface: `XmlSerializable`
  Converts this object into an XML representation, as defined by its related schema or specification. The format of the XML is dependent on the concrete type.

  Specified by:
    `toXML` in interface `XmlSerializable`
  Returns:
    An XML representation of this object.

### toXML

    public org.w3c.dom.Element toXML(org.w3c.dom.Document factory)

  Description copied from interface: `XmlSerializable`
  Converts this object into an XML representation, as defined by its related schema or specification. The format of the XML is dependent on the concrete type.

  Specified by:
    `toXML` in interface `XmlSerializable`
  Parameters:
    `factory` - The DOM Document that will be used to create all of the nodes in the resulting XML fragment.
  Returns:
    An XML representation of this object.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD